Texa DeskDevelopers

Texa Desk Application API · Teams

Update Agents in Team

PATCH/api/v1/accounts/{account_id}/teams/{team_id}/team_members

All agents except the one passed in params will be removed

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

team_idintegerrequired

The ID of the team to be updated

Body application/json

user_idsarray of integerrequired

IDs of users to be added to the team

Responses

200

Success

idinteger
account_idinteger
availability_statusstring

The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests. One of: online, busy, offline.

auto_offlineboolean

Whether the agent is automatically marked offline when they are away.

confirmedboolean

Whether the agent has confirmed their email address.

emailstring

The email of the agent

available_namestring

The available name of the agent

namestring

The name of the agent

rolestring

The role of the agent One of: agent, administrator.

thumbnailstring

The thumbnail of the agent

custom_role_idinteger

The custom role id of the agent

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Team not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

User must exist

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring